> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Region tree

GET http://127.0.0.1:58931/api/proxies/regions

Country / state / city tree used to pick a region for a rotating proxy.

Reference: https://docs.flashid.app/api-reference/proxies/get-region-tree

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/proxies/regions:
    get:
      operationId: get-region-tree
      summary: Region tree
      description: Country / state / city tree used to pick a region for a rotating proxy.
      tags:
        - subpackage_proxies
      parameters:
        - name: X-API-Key
          in: header
          description: API Key generated in the FlashID app.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Proxies_getRegionTree_Response_200'
servers:
  - url: http://127.0.0.1:58931
    description: Local service (default port 58931)
components:
  schemas:
    RegionCountryStatesItemsCitiesItems:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
      title: RegionCountryStatesItemsCitiesItems
    RegionCountryStatesItems:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
        cities:
          type: array
          items:
            $ref: '#/components/schemas/RegionCountryStatesItemsCitiesItems'
      title: RegionCountryStatesItems
    RegionCountry:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
        states:
          type: array
          items:
            $ref: '#/components/schemas/RegionCountryStatesItems'
      title: RegionCountry
    Proxies_getRegionTree_Response_200:
      type: object
      properties:
        success:
          type: boolean
        code:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/RegionCountry'
      required:
        - success
        - code
      title: Proxies_getRegionTree_Response_200
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key generated in the FlashID app.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "code": 0,
  "data": [
    {
      "label": "United States",
      "value": "US",
      "states": [
        {
          "label": "California",
          "value": "CA",
          "cities": [
            {
              "label": "Los Angeles",
              "value": "LA"
            },
            {
              "label": "San Francisco",
              "value": "SF"
            }
          ]
        },
        {
          "label": "New York",
          "value": "NY",
          "cities": [
            {
              "label": "New York City",
              "value": "NYC"
            },
            {
              "label": "Buffalo",
              "value": "BUF"
            }
          ]
        }
      ]
    },
    {
      "label": "Canada",
      "value": "CA",
      "states": [
        {
          "label": "Ontario",
          "value": "ON",
          "cities": [
            {
              "label": "Toronto",
              "value": "TOR"
            },
            {
              "label": "Ottawa",
              "value": "OTT"
            }
          ]
        },
        {
          "label": "British Columbia",
          "value": "BC",
          "cities": [
            {
              "label": "Vancouver",
              "value": "VAN"
            },
            {
              "label": "Victoria",
              "value": "VIC"
            }
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "http://127.0.0.1:58931/api/proxies/regions"

payload = {}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'http://127.0.0.1:58931/api/proxies/regions';
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/proxies/regions"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/proxies/regions")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/proxies/regions")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/proxies/regions', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/proxies/regions");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/proxies/regions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```